This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1031652 - (CVE-2013-6396) CVE-2013-6396 python-swiftclient: SSL certificate verification security issue
CVE-2013-6396 python-swiftclient: SSL certificate verification security issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130710,repor...
: Security
Depends On: 1031653 1031654 1034972 1034973 1034981
Blocks: 1031657
  Show dependency treegraph
 
Reported: 2013-11-18 08:17 EST by Ratul Gupta
Modified: 2016-04-26 17:39 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-09 23:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-18 08:17:48 EST
Python-swiftclient is found to be affected by a security issue, where it fails to properly verify the server SSL certificates, which can be exploited by malicious people to conduct spoofing attacks via MitM (Man in the Middle attacks) and possibly leading to disclosure of sensitive information.

References:
https://bugs.gentoo.org/show_bug.cgi?id=491368
https://bugs.launchpad.net/python-swiftclient/+bug/1199783

Commit:
https://review.openstack.org/#/c/33473/
Comment 1 Ratul Gupta 2013-11-18 08:19:28 EST
Created python-swiftclient tracking bugs for this issue:

Affects: fedora-all [bug 1031653]
Affects: epel-6 [bug 1031654]
Comment 7 Garth Mollett 2014-03-09 23:39:53 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having Moderate security impact in Red Hat Enterprise Linux OpenStack Platform 3 however fixing this issue would require a change to default behavior. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 8 Fedora Update System 2014-03-21 05:34:16 EDT
python-swiftclient-2.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.